[Support] A75G Repo


344 posts in this topic Last Reply

Recommended Posts

17 minutes ago, wazabees said:

It seems the latest update of the golinks docker failed for me. Is it possible for me to revert to the previous version of the docker?

 


/usr/local/emhttp/plugins/dynamix.docker.manager/scripts/docker run -d --name='golinks' --net='bridge' -e TZ="Europe/Berlin" -e HOST_OS="Unraid" -p '8000:8000/tcp' 'prologic/golinks:latest'

266d22bc8926dbf457ba011dad3cdc4948733182ca677081804a3c4c41f40905
/usr/bin/docker: Error response from daemon: OCI runtime create failed: container_linux.go:346: starting container process caused "exec: "/start.sh": permission denied": unknown.

 

I opened a issue on Docker maintainer will wait for his reply

https://github.com/prologic/golinks/issues/40

On 10/12/2020 at 12:11 AM, tmchow said:

The Reactive Resume builder is nice, just tried it out. I noticed the template doesn't specify an config data folder, so is the data not persisted anywhere?

The docker doent have any presistence files.

You can just backup the Resume when you finish and restore when you need to update.

Link to post
  • Replies 343
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Info https://github.com/A75G/docker-templates/blob/master/README.md   Request Docker Template && Template Issues (Cant guarantee anything but will try my best) https:/

It is not so complicated to get it up & running, you just need to know where to start   First thing you need to edit the homeserver.yaml located in /appdata/matrix   Locate

Each one of those should be a separate command: su - archivebox cd /data archivebox init archivebox manage createsuperuser   All done inside of docker console

Posted Images

Just updated tt-rss and now the login page shows this error: Your access level is insufficient to run this script.

Also, the URL automatically redirects from https://rss.mydomain.com to https://rss.mydomain.net/public.php?op=dbupdate

My user account doesn't work and neither does the default admin/password that tt-rss has at first run. Both give the same error above.

 

Edited by itlists
Link to post

Hello, I installed the Airsonic-Advanced but the Webui doesnt open unless I change the url from https to http. Eventhough the template says http for the port number, when I open the Webui it defaults to https://ip:4040 and when I change it to http it will open. 

 

Is there something I can edit to make it default to http.....or should I do something like run it through swag? I'm not very knowledgable about this kind of stuff but I THINK it will work with https if its in my reverse proxy setup through swag.

 

image.thumb.png.333238e1d21496e85d5ea18e5e296f11.png

 

Thanks!

Edited by SPOautos
Link to post
On 10/27/2020 at 5:15 AM, itlists said:

Just updated tt-rss and now the login page shows this error: Your access level is insufficient to run this script.

Also, the URL automatically redirects from https://rss.mydomain.com to https://rss.mydomain.net/public.php?op=dbupdate

My user account doesn't work and neither does the default admin/password that tt-rss has at first run. Both give the same error above.

 

Make sure the config.php in the root of tt-rss folder have the right database settings.

13 hours ago, SPOautos said:

Hello, I installed the Airsonic-Advanced but the Webui doesnt open unless I change the url from https to http. Eventhough the template says http for the port number, when I open the Webui it defaults to https://ip:4040 and when I change it to http it will open. 

 

Is there something I can edit to make it default to http.....or should I do something like run it through swag? I'm not very knowledgable about this kind of stuff but I THINK it will work with https if its in my reverse proxy setup through swag.

 

image.thumb.png.333238e1d21496e85d5ea18e5e296f11.png

 

Thanks!

Yeah i made mistake need to fix the template

If you want quick fix go to Advanced View in the template and remove the S from https://[IP]:[PORT:4040]/ in WebUI

Link to post
On 10/28/2020 at 10:42 AM, A75G said:

Make sure the config.php in the root of tt-rss folder have the right database settings.

I checked and the settings are correct. I didn't make any changes to DB or config, only did the container upgrade.

In the meantime, is there a way to extract the feeds from console / cli?

Edited by itlists
Link to post
13 hours ago, akamemmnon said:

Hi, I have been running the Riot IM docker for some time and it is great. Now that you created a Element IM docker thats separate, is it possible for us to migrate what we have to that? 

You can use the same config file that you use in Riot.im

Link to post

 

On 10/28/2020 at 10:42 AM, A75G said:

Make sure the config.php in the root of tt-rss folder have the right database settings.

On 10/30/2020 at 6:53 PM, itlists said:

I checked and the settings are correct. I didn't make any changes to DB or config, only did the container upgrade.

In the meantime, is there a way to extract the feeds from console / cli?

Just did another update today and still the same error on login page... haven't changed anything. config.php has correct settings for db

Link to post
On 7/28/2020 at 8:14 PM, graid said:

Seconded! Came here to post this as well.  Would be awesome if you had a chance to update your app, please!

Just pulled down the most recent archivebox docker version 0.4.21.  Installed with default settings, then followed these instructions:

 

https://github.com/A75G/docker-templates/blob/master/README.md#first-installation

 

No issues.  Everything working perfectly.

Link to post
On 4/1/2020 at 1:21 PM, PSYCHOPATHiO said:

To register an admin account:


register_new_matrix_user -c /data/homeserver.yaml http://0.0.0.0:8008

 

When I try that, I get this:

$ register_new_matrix_user -c /data/homeserver.yaml http://0.0.0.0:8008
New user localpart [matrix]: 
Password: 
Confirm password: 
Make admin [no]: yes
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 170, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 96, in create_connection
    raise err
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 86, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 706, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 394, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 234, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/usr/lib/python3.7/http/client.py", line 1244, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 966, in send
    self.connect()
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 200, in connect
    conn = self._new_conn()
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 182, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x1544ebed7198>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 756, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/retry.py", line 573, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_matrix/client/r0/admin/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x1544ebed7198>: Failed to establish a new connection: [Errno 111] Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/register_new_matrix_user", line 20, in <module>
    main()
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 221, in main
    args.user, args.password, args.server_url, secret, admin, args.user_type
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 134, in register_new_user
    user, password, server_location, shared_secret, bool(admin), user_type
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 43, in request_registration
    r = requests.get(url, verify=False)
  File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_matrix/client/r0/admin/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x1544ebed7198>: Failed to establish a new connection: [Errno 111] Connection refused'))

So that's not good, is it? How do I make it not refuse the connection?

Link to post
On 4/1/2020 at 1:21 PM, PSYCHOPATHiO said:

There is one more step that involves creating an SRV record in your DNS if you want to connect your server to the federation.

 

_matrix._tcp.matrix.example.com the wight and priority is your choice as for the port if your behind a reverse proxy you can go with 443.

Can you explain how to do this? I know what a SRV record is, and I know how to add one. But what should it contain exactly? Should I put "_matrix._tcp.matrix.example.com" in there, given "example.com" is my domain? Or do I put in "_matrix._tcp.example.com"? And what are those "_matrix" and "_tcp" parts?

 

And where do I put port 443? What does DNS have to do with port numbers?

Link to post
On 8/10/2020 at 7:29 PM, A75G said:

I'm still running my Matrix Server and it working really fine with postgres database and redis.

Permission issue it normal you need open with nano(cli) or use file managers that are available on CA.

 

I forgot how i set it up but ill upload my config and see what you did wrong (password and domain will be removed so dont just copy and paste).

If you are not using postgres or redis remove it and keep sqlite.

 

homeserver.yaml

I think sqlite database integration is somehow broken, I am able to run the container with external postgres db, with default sqlite I was getting same errors like others... 'sqlite3.OperationalError: unable to open database file'

Link to post
On 11/15/2020 at 6:59 PM, akshunj said:

Just pulled down the most recent archivebox docker version 0.4.21.  Installed with default settings, then followed these instructions:

 

https://github.com/A75G/docker-templates/blob/master/README.md#first-installation

 

No issues.  Everything working perfectly.

Did you use the console by going to the docker, or did you use the unraid terminal? I am getting errors both ways. 

 

Docker console:

root@XXXXX:/data# su - archivebox cd /data archivebox init archivebox manage createsuperuser
-sh: 0: Can't open cd
root@XXXXX:/data# 


Unraid terminal:

root@Alexandria:~# root@XXXXX:/data# su - archivebox cd /data archivebox init archivebox manage createsuperuser
-bash: root@XXXXX:/data#: No such file or directory
root@Alexandria:~# -sh: 0: Can't open cd

Edited by ice pube
Link to post
1 hour ago, ice pube said:

Did you use the console by going to the docker, or did you use the unraid terminal? I am getting errors both ways. 

 

Docker console:

root@XXXXX:/data# su - archivebox cd /data archivebox init archivebox manage createsuperuser
-sh: 0: Can't open cd
root@XXXXX:/data# 


Unraid terminal:

root@Alexandria:~# root@XXXXX:/data# su - archivebox cd /data archivebox init archivebox manage createsuperuser
-bash: root@XXXXX:/data#: No such file or directory
root@Alexandria:~# -sh: 0: Can't open cd

Each one of those should be a separate command:

su - archivebox

cd /data

archivebox init

archivebox manage createsuperuser

 

All done inside of docker console

Link to post
On 8/26/2020 at 7:23 PM, trevormiller6 said:

I can't get flarum to connect to my mysql database. I don't have this issue with any of my other dockers. Any help would be greatly appreciated.
 


Checking database connection...
Waiting 60s for database to be ready...
ERROR: Failed to connect to database on <my ip>

 

did you ever get this sorted? im having the same issue.

Link to post

Hello there!

 

There has been a large update to Wallabag and now the docker appears to not work any more.

https://github.com/wallabag/wallabag/releases/tag/2.4.0

 

I get the following errors:

 

Starting provisioner...
[WARNING]: Found both group and host with same name: localhost
[WARNING]: Platform linux on host localhost is using the discovered Python
interpreter at /usr/bin/python3, but future installation of another Python
interpreter could change this. See https://docs.ansible.com/ansible/2.9/referen
ce_appendices/interpreter_discovery.html for more information.
Provisioner finished.
192.168.1.1 - - [11/Dec/2020:00:46:21 +0100] "GET /api/entries/exists.json?url=http://192.168.1.12:8282/plugins/dynamix.docker.manager/include/Events.php?action=log&container=f5ee5fb51b0d&title=Log%20for:%20wallabag HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:27 +0100] "GET /api/entries/exists.json?url=http://192.168.1.12:6500/ HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:31 +0100] "GET /api/entries/exists.json?url=http://192.168.1.12:6500/ HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:31 +0100] "GET /api/entries/exists.json?url=https://www.google.com/search?q=wala&btnK HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:32 +0100] "GET /api/entries/exists.json?url=https://www.google.com/search?q=wala&btnK HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:34 +0100] "GET /api/entries/exists.json?url=https://www.google.com/search?q=wala&btnK HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:34 +0100] "GET / HTTP/1.1" 302 213 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
2020/12/11 00:46:34 [error] 266#266: *25 FastCGI sent in stderr: "PHP message: PHP Fatal error: Uncaught PDOException: SQLSTATE[HY000]: General error: 1 no such table: wallabag_internal_setting in /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:67
Stack trace:
#0 /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php(67): PDO->prepare('SELECT t0.value...', Array)
#1 /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Connection.php(903): Doctrine\DBAL\Driver\PDOConnection->prepare('SELECT t0.value...')
#2 /var/www/wallabag/vendor/doctrine/orm/lib/Doctrine/ORM/Persisters/Entity/BasicEntityPersister.php(726): Doctrine\DBAL\Connection->executeQuery('SELECT t0.value...', Array, Array)
#3 /var/www/wallabag/vendor/doctrine/orm/lib/Doctrine/ORM/EntityRepository.php(193): Doctrine\ORM\Persisters\Entity\BasicEntityPersister->load(Array, NULL, NULL, Array, NULL, 1, NULL)
#4 /var/www/wallabag/vendor/craue/config-bundle/Util/Config.php(73): Doctrine\ORM\EntityRepository->findOneBy(Array)
#5 /var/www/wallabag" while reading response header from upstream, client: 192.168.1.1, server: _, request: "GET /login HTTP/1.1", upstream: "fastcgi://127.0.0.1:9000", host: "removed url"
192.168.1.1 - - [11/Dec/2020:00:46:34 +0100] "GET /login HTTP/1.1" 500 31 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:34 +0100] "GET /favicon.ico HTTP/1.1" 200 34494 "https://removed url/login" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
192.168.1.1 - - [11/Dec/2020:00:46:46 +0100] "GET /api/entries/exists.json?url=http://192.168.1.12:8282/plugins/dynamix.docker.manager/include/Events.php?action=log&container=f5ee5fb51b0d&title=Log%20for:%20wallabag HTTP/1.1" 500 83 "-" "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0"
2020/12/11 00:46:58 [error] 266#266: *53 FastCGI sent in stderr: "PHP message: PHP Fatal error: Uncaught PDOException: SQLSTATE[HY000]: General error: 1 no such table: wallabag_internal_setting in /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:67

 

Edited by wazabees
Link to post

Hi @wazabees have the same issue. For now just do a rollback to Version 2.3.8. Klick on the Wallabag icon and choose Edit. 

image.png.916df790cbf73052bac18e68d929b619.png

 

Then change the Repository from `:latest` to `:2.3.8` and hit apply at the bottom.

image.png.c7928ea334418e2366898e4ead544e42.png

 

Keep in mind that your are stuck to this version until you change it back to `:latest` or what ever

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.